Bug 18167 - недопустимые символы в Buildrequires
: недопустимые символы в Buildrequires
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-macros-apache2)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-12-10 04:36 by
Modified: 2008-12-11 00:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-12-10 04:36:06
Макрос %apache2_apr_buildreq раскрывается в  "libapr1-devel libaprutil1-devel",
что приводит к ошибке вида
error: line 49: Dependency tokens must begin with alpha-numeric, '_' or '/':
BuildRequires: "libapr1-devel libaprutil1-devel"

не собирается  apache2-mod_perl
------- Comment #1 From 2008-12-10 07:00:39 -------
Похоже его (%apache2_apr_buildreq) достаточно определить как
libaprutil1-devel...

Поправлю.
------- Comment #2 From 2008-12-11 00:17:11 -------
(In reply to comment #1)
> Похоже его (%apache2_apr_buildreq) достаточно определить как libaprutil1-devel...
> 
> Поправлю.

  Встречайте rpm-macros-apache2-2.1-alt1 (см.
http://git.altlinux.org/people/solo/packages/?p=rpm-macros-apache2.git;a=commit;h=0e9e9481daab8763b5cb3340a9e2a4b27fae6370)